From b1fb109c5c68983678c098aabcdca7af829de410 Mon Sep 17 00:00:00 2001
From: Dave Cooper <open-source@genworks.com>
Date: Fri, 18 Oct 2013 16:27:41 -0400
Subject: [PATCH] Check again for unicode at fasl load time in case the fasl
 was compiled with unicode but we are loading it without.

---
 uiop/common-lisp.lisp | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/uiop/common-lisp.lisp b/uiop/common-lisp.lisp
index 34d7e0c..0d0714f 100644
--- a/uiop/common-lisp.lisp
+++ b/uiop/common-lisp.lisp
@@ -35,7 +35,16 @@
 #+(or abcl (and allegro ics) (and (or clisp cmu ecl mkcl) unicode)
       clozure lispworks (and sbcl sb-unicode) scl)
 (eval-when (:load-toplevel :compile-toplevel :execute)
-  (pushnew :asdf-unicode *features*))
+  ;;
+  ;; Double-check for unicode at fasl load time in case we compiled
+  ;; with unicode and now don't have it.
+  ;;
+  (unless (or (and (find :allegro *features*) (not (find :ics *features*)))
+	      (and (find :sbcl *features*) (not (find :sb-unicode *features*)))
+	      (and (or (find :clisp *features*) (find :cmu *features*)
+		       (find :ecl *features*) (find :mkcl *features*))
+		   (not (find :unicode *features*))))
+    (pushnew :asdf-unicode *features*)))
 
 #+allegro
 (eval-when (:load-toplevel :compile-toplevel :execute)
-- 
1.7.12.4 (Apple Git-37)

